package es.upm.dit.adsw.tema2.balls.bg_task;

import java.awt.*;
import java.util.Random;

public class Scenario1 {
    private static final String TITLE = "bg task 1";

    private static final Random random = new Random();

    public static void main(String[] args) {
        Screen screen = new Screen(TITLE, 500, 500);

        Target target = new Target(screen, 250, 250);
        screen.add(target);

        BgBall_1 bgBall_1 = new BgBall_1(screen, 250, 250);
        bgBall_1.setColor(Color.LIGHT_GRAY);
        bgBall_1.setV(getV(), getV());
        screen.add(bgBall_1);
        Thread thread = new Thread(bgBall_1);
        thread.start();

        MainBall main = new MainBall(screen);
        main.setColor(Color.RED);
        main.setV(getV(), getV());
        screen.add(main);
        Thread main_thread = new Thread(main);

        String result = bgBall_1.getResult();
        System.out.println(result);
        main_thread.start();
    }

    private static int getV() {
        int v = 5 + random.nextInt(20);
        if (Math.random() < 0.3)
            return -v;
        else
            return v;
    }
}
