package es.upm.dit.adsw.tema2.balls.c_readers_writers;

public class RW_Monitor_1 extends RW_Monitor {
    private int nReaders = 0;
    private int nWriters = 0;
    private boolean busy = false;

    public synchronized int getNReaders() {
        return nReaders;
    }

    public synchronized int getNWriters() {
        return nWriters;
    }

    public synchronized void openReading() {
        while (!canRead())
            waiting();
        busy = true;
        nReaders++;
        invariant();
    }

    private boolean canRead() {
        if (busy) return false;
        return true;
    }

    public synchronized void closeReading() {
        busy = false;
        nReaders--;
        notifyAll();
        invariant();
    }

    public synchronized void openWriting() {
        while (!canWrite())
            waiting();
        busy = true;
        nWriters++;
        invariant();
    }

    private boolean canWrite() {
        if (busy) return false;
        return true;
    }

    public synchronized void closeWriting() {
        busy = false;
        nWriters--;
        notifyAll();
        invariant();
    }
}
