package es.upm.dit.adsw.tema2.balls.e_exchange.a_threads;

import java.awt.*;
import java.util.Random;
import java.util.concurrent.Exchanger;

public class ManyBalls {
    private static final String TITLE = "many balls";
    private static final int N_BALLS = 5;

    private static final Random random = new Random();

    public static void main(String[] args)
            throws InterruptedException {
        Screen screen = new Screen(TITLE, 500, 500);

        MyExchanger<Color> exchanger = new MyExchanger<>();

        for (int i = 0; i < N_BALLS; i++) {
            Ball ball = new Ball(screen);
            ball.setV(getV(), getV());
            ball.setExchanger(exchanger);
            screen.add(ball);

            Thread thread = new Thread(ball);
            thread.start();
            Thread.sleep(1000); // milisegundos
        }
    }

    private static int getV() {
        int v = 5 + random.nextInt(20);
        if (Math.random() < 0.3)
            return -v;
        else
            return v;
    }

}
