package es.upm.dit.adsw.tema2.bg_task;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Escenario2 {
    private static final int N_TASKS = 3;

    public static void main(String[] args) {
        List<BgTask2> task2List = new ArrayList<>();
        Listener listener = new Listener();

        for (int i = 0; i < N_TASKS; i++) {
            BgTask2 task = new BgTask2("task " + i);
            task2List.add(task);
        }
        for (BgTask2 task : task2List) {
            task.setListener(listener);
            Thread thread = new Thread(task);
            thread.start();
        }

        try {
            Nap.sleep(2000, 5000);
            Date date = new Date();
            System.out.println("main: " + date);
            String result = listener.getResult();
            System.out.println(result);
        } finally {
            for (BgTask2 task : task2List)
                task.quit();
        }
    }
}
