package es.upm.dit.adsw.tema2.bounded_buffer;

import java.util.HashSet;
import java.util.Random;
import java.util.Set;

public class Test {
    public static void main(String[] args)
            throws InterruptedException {
        Random random = new Random();
        Set<Integer> data = new HashSet<>();
        for (int i = 0; i < 100; i++)
            data.add(random.nextInt(1000));

        Buffer<Integer> buffer = new Buffer1<>(10);

        TestProducer producer = new TestProducer(buffer, data);
        TestConsumer consumer = new TestConsumer(buffer, data);

        producer.start();
        consumer.start();

        producer.join();
        consumer.join();
        System.out.println("test ok");
    }
}
