package es.upm.dit.adsw.tema2.varios;

public class MySemaphore {
    private int available;

    public MySemaphore(int permits) {
        this.available = permits;
    }

    public synchronized void acquire(int required)
            throws InterruptedException {
        while (required > this.available)
            wait();
        this.available -= required;
    }

    public synchronized void release(int freed) {
        notifyAll();
        this.available += freed;
    }
}
