package es.upm.dit.adsw.tema2.balls.b_critical_zone_nowait;

public class Monitor {
    private int MAX = 3;
    private int cuantas = 0;

    public synchronized boolean isOcupado() {
        if (cuantas >= MAX)
            return true;
//        nap(100);
        cuantas++;
        return false;
    }

    public synchronized void libera() {
        if (cuantas < 0)
            throw new IllegalStateException();
        if (cuantas > MAX)
            throw new IllegalStateException();
        cuantas--;
    }

    private void nap(int ms) {
        try {
            Thread.sleep(ms);
        } catch (InterruptedException ignored) {
        }
    }
}
