package es.upm.dit.adsw.tema2.balls.bg_task;

import java.awt.*;
import java.util.Random;

public class Scenario2 {
    private static final String TITLE = "bg task 2";

    private static final Random random = new Random();

    public static void main(String[] args) {
        Screen screen = new Screen(TITLE, 500, 500);

        Target target = new Target(screen, 250, 250);
        screen.add(target);

        MyListener listener= new MyListener();

        BgBall_2 bgBall_1 = new BgBall_2(screen, 250, 250, listener);
        bgBall_1.setColor(Color.LIGHT_GRAY);
        bgBall_1.setV(getV(), getV());
        screen.add(bgBall_1);
        Thread thread_1 = new Thread(bgBall_1);
        thread_1.start();

        BgBall_2 bgBall_2 = new BgBall_2(screen, 250, 250, listener);
        bgBall_2.setColor(Color.CYAN);
        bgBall_2.setV(getV(), getV());
        screen.add(bgBall_2);
        Thread thread_2 = new Thread(bgBall_2);
        thread_2.start();

        MainBall main = new MainBall(screen);
        main.setColor(Color.RED);
        main.setV(getV(), getV());
        screen.add(main);
        Thread main_thread = new Thread(main);

        String result = listener.getResult();
        System.out.println(result);
        bgBall_1.quit();
        bgBall_2.quit();
        main_thread.start();
    }

    private static int getV() {
        int v = 5 + random.nextInt(20);
        if (Math.random() < 0.3)
            return -v;
        else
            return v;
    }
}
