package es.upm.dit.adsw.tema2.contador;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

public class Contador2 {
    private int cuenta = 0;
    private final Lock LOCK = new ReentrantLock();

    public int incrementa(int v) {
        LOCK.lock();
        try {
            cuenta += v;
//        int registro = cuenta;
//        registro = registro + v;
//        cuenta = registro;
            return cuenta;
        } finally {
            LOCK.unlock();
        }
    }

    public int decrementa(int v) {
        LOCK.lock();
        try {
            cuenta -= v;
            return cuenta;
        } finally {
            LOCK.unlock();
        }
    }
}
