package es.upm.dit.adsw.tema2.day_0;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Date;

public class Eco
        implements Runnable {
    private final String id;
    private final BufferedReader console;

    public Eco(String id) {
        this.id = id;
        console = new BufferedReader(new InputStreamReader(System.in));
    }

    public void run() {
        try {
            while (true) {
                String line = console.readLine();
                if (line.equals(".")) break;
                System.out.printf("%s: %s: %s%n", new Date(), id, line);
            }
            System.out.println(id + ": muerto soy.");
        } catch (IOException e) {
            System.out.println(id + ": " + e);
        }
    }
}